Loading...
Searching...
No Matches
seqan3::gap_erase_failure Class Reference

Thrown in function seqan3::erase_gap, if a position does not contain a gap. More...

`#include <seqan3/alignment/exception.hpp>`

Inheritance diagram for seqan3::gap_erase_failure:
[legend]

## Public Member Functions

| gap_erase_failure (std::string const &s)
| The constructor.
Public Member Functions inherited from std::logic_error
T | logic_error (T... args)
T | what (T... args)

## Detailed Description

Thrown in function seqan3::erase_gap, if a position does not contain a gap.

## Constructor & Destructor Documentation

## gap_erase_failure()

seqan3::gap_erase_failure::gap_erase_failure | ( | std::string const & | s | ) |

inline

The constructor.

Parameters

  [in] | s | The error message.

The documentation for this class was generated from the following file:

- alignment/exception.hpp

Hide me